Package com.plannaplan.responses.models

# Class CoursesDefaultResponse

java.lang.Object
com.plannaplan.responses.models.abstracts.CoursesResponse
com.plannaplan.responses.models.CoursesDefaultResponse

    public class CoursesDefaultResponse
    extends CoursesResponse

Courses Default Api Response. It extends abstract response - CoursesResponse. It was one of first repsones created in system. Later we resigned from asbstract and used settig `spring.jackson.default-property-inclusion = NON_NULL` in properties instead.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`CoursesDefaultResponse​(com.plannaplan.entities.Course course)` | create new instance

## Method Summary

### Methods inherited from class com.plannaplan.responses.models.abstracts.CoursesResponse

`getId, getName, getSymbol`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CoursesDefaultResponse

public CoursesDefaultResponse​(com.plannaplan.entities.Course course)
create new instance

Parameters:
  `course` - course to map to api response